/*
 * Copyright 2004, U.S. Robotics Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF
 * ANY KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S.
 * Robotics SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: usrhdr.h,v 1.7 2005/03/23 19:08:41 dtutuianu Exp $
 */
#ifndef USR_HEADER_H
#define USR_HEADER_H

#include <typedefs.h>
#include <projects.h>

//#define DEFAULT_5461_URL	"ftp://192.168.0.1/5461.usr" 
#define DEFAULT_5461_URL	"http://www.usr.com/support/5461/5461-files/5461.usr"
#define DEFAULT_5453_URL	"http://www.usr.com/support/5453/5453-files/5453.usr"
#define DEFAULT_5451_URL	"http://www.usr.com/support/5451/5451-files/5451.usr"
#define DEFAULT_5441_URL	"http://www.usr.com/support/5441/5441-files/5441.usr"
#define DEFAULT_5430_URL	"http://www.usr.com/support/5430/5430-files/5430.usr"
#define DEFAULT_5431_URL	"http://www.usr.com/support/5431/5431-files/5431.usr"
#define DEFAULT_5432_URL	"http://www.usr.com/support/5432/5432-files/5432.usr"

#define USR_MAGIC 0x30525355	//	"USR0"

#ifdef ROUTER
#define COMPAT_ID 1		//G-force router:5461
#define HARDWARE_REV 1	//hardware revision
#endif
#ifdef AP
#define COMPAT_ID 2		//G-force consumer AP:5451
#define HARDWARE_REV 1
#endif
#ifdef APB			
#define COMPAT_ID 3		//G-force business AP:5453
#define HARDWARE_REV 1
#endif
#ifdef REPEATER
#define COMPAT_ID 4		//G-force repeater: 5441
#define HARDWARE_REV 1
#endif
#ifdef CLIENT
#define COMPAT_ID 5		//G-force client:5430
#define HARDWARE_REV 1
#endif
#ifdef GAMING
#define COMPAT_ID 6		//G-force client:5431
#define HARDWARE_REV 1
#endif
#ifdef BRIDGE
#define COMPAT_ID 7		//G-force client:5432
#define HARDWARE_REV 1
#endif


struct usr_header {
	uint32 magic;		// "USR0" 
	uint32 len;		// Length of the file without this header 
	uint32 crc32;		// 32-bit CRC of the file without this header 
	uint32 version;		// 0:7 Major, 8:15 minor, 16:23 RC, 24:28 Incremental, 29:31 Build 
	uint16 compatibility_id;	//id of the device that can use same firmware (1,2,3,....)	
	uint16 hardware_revision;	//revision of the hardware (for when new hw is incompatible with old firmware (1,2,3...)
	uint32 reserved[2];	// reserved for future use 
};
	

typedef struct usr_header USRHDR, *PUSRHDR;


#endif /* USR_HEADER_H */
