<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Security :: U.S. Robotics Wireless MAXg Range Extender</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5441.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>


<!-- The Wireless security options are only visible if the Wireless checkbox on the Wireless page is on -->
<body onload="setVisibility('idMACfilter', !document.idForm.cbMACfilter[0].selected); tableInitializeMAC();" onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

	<div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<b>Save</b> button at the bottom of the page.</p>

	<h1>Range Extender Login</h1>
	<p>The range extender requires you to log in with a user name and password.
	This ensures that no one can make unauthorized changes to your range extender&rsquo;s settings.
	Please note that the user name and password are case-sensitive.
	</p>

	<h1>MAC Filter</h1>
	<p>You can use MAC filtering to either allow or deny access to your range extender
	by certain wireless devices. This is an excellent way to ensure that only
	your own devices can use your range extender and its Internet connection.
	</p>

	<p>When MAC filtering is enabled, the
	&ldquo;<a href="tutorial_addclient.asp">How to Add a New Wireless Client</a>&rdquo; tutorial
	provides more information on how MAC filtering affects adding new wireless clients
	and how to locate a client&rsquo;s MAC address.
	</p>

	<p>You can also learn more about MAC addresses and MAC filtering in the user manual
	on the installation CD-ROM.</p>

</div>

<form name="idForm" action="security.asp" method="post">
<input type="hidden" name="page" value="security.asp">
<input type="hidden" name="wl_unit" value="0">

<h3>Range Extender Login</h3>

<p>You will need to enter the user name and password in order to access the range extender in the future,
so you may want to write them down.</p>

<table>
	<tr>
		<td><label for="http_username">User&nbsp;name:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_username" class="clsTextfield" name="http_username" value="<% nvram_get("http_username"); %>" onchange="if (!validateUsername(document.idForm.http_username.value)) return false; bDirty = true;">
		</td>
	</tr>
	<tr>
		<td><label for="http_passwd">Password:</label></td>
		<td>
			<input type="text" size="20" maxlength="15" id="http_passwd" class="clsTextfield" name="http_passwd" value="<% nvram_get("http_passwd"); %>" onchange="if (!validatePassword(document.idForm.http_passwd.value)) return false; bDirty = true;">
		</td>
	</tr>
</table>

<h3>MAC Filter</h3>

<p>Use this section to allow (or deny) specific wireless devices the ability to connect to the range extender.
For example, you could specify that only your laptop, gaming system and digital video recorder can connect.
(Please note that wired clients are always permitted to connect.)</p>

<table class="clsGroupBox">
	<tr>
		<td><input type="button" class="clsBtnFeature" value="Allow Current Clients" onclick="onAllowCurrentClients(); bDirty = true;"></td>
		<td><p>Press the <strong>Allow Current Clients</strong> button to
			automatically permit the current wireless client devices to
			connect to the range extender. (The changes aren&rsquo;t saved until you press
			the <strong>Save</strong> button.)</p></td>
	</tr>
</table>

<p id="idCheckMAC" class="clsNotice" style="display: none;">
	Before you save your changes, U.S.&nbsp;Robotics recommends that you check
	the list of MAC addresses. Make sure that it contains only the MAC
	addresses you want to connect to your range extender.
</p>

<p><label>Filter:</label>
   <select id="cbMACfilter" name="wl_macmode" onchange="setVisibility('idMACfilter', !document.idForm.cbMACfilter[0].selected); bDirty = true;">
			<option value="disabled" <% nvram_match("wl_macmode", "disabled", "selected"); %>>Allow all wireless devices</option>
			<option value="allow" <% nvram_match("wl_macmode", "allow", "selected"); %>>Allow only these wireless devices</option>
			<option value="deny" <% nvram_match("wl_macmode", "deny", "selected"); %>>Deny only these wireless devices</option>
   </select>
</p>

<div id="idMACfilter">

<div id="idTableMAC">
	<!-- Content is added by script -->
</div>

<span class="clsGroupBox">
	<label for="txtMACaddress">MAC address:</label>
	<br/>
	<input type="text" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" size="20" maxlength="17" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
	<input type="button" name="idBtnAddMAC" id="idBtnAddMAC" class="clsSmall" value="  Add  " onclick="tableAddRowMAC();">
</span>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------

	MAC FILTER TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableMAC 	= new Object;
objTableMAC.strThis	= "objTableMAC";	// the text representation of this object's name
objTableMAC.aRows	= new Array;		// the array of the row arrays for the table


/*
	Load the values from the range extender, create the rows, and add them all.
*/
function tableInitializeMAC()
{
	/*
		Initialize the table object
	*/
	objTableMAC.eltTable		= document.getElementById("idTableMAC");	// id of table's DIV
	objTableMAC.eltBtnAdd		= document.getElementById("idBtnAddMAC");	// Add button
	objTableMAC.strVarNameNum	= "wl_maclist";			// name of form field for # rows
	// names of each form field
	objTableMAC.aVarNamePrefixes	= new Array("wl_maclist");
	objTableMAC.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableMAC.iMaxNumRows		= 32;				// max # of rows in table
	objTableMAC.aHeadings		= new Array(// array of column headings for the table
							"MAC Address"
						);

	/*
		Load the values from the range extender, create the rows, and add them all.
	*/

	/* Get the data for each entry, add it to an array,
		and add the array to the table.	*/
	var aDeviceData = new Array(
					new Array("<% nvram_list("wl_maclist", 0); %>"),
					new Array("<% nvram_list("wl_maclist", 1); %>"),
					new Array("<% nvram_list("wl_maclist", 2); %>"),
					new Array("<% nvram_list("wl_maclist", 3); %>"),
					new Array("<% nvram_list("wl_maclist", 4); %>"),
					new Array("<% nvram_list("wl_maclist", 5); %>"),
					new Array("<% nvram_list("wl_maclist", 6); %>"),
					new Array("<% nvram_list("wl_maclist", 7); %>"),
					new Array("<% nvram_list("wl_maclist", 8); %>"),
					new Array("<% nvram_list("wl_maclist", 9); %>"),
					new Array("<% nvram_list("wl_maclist", 10); %>"),
					new Array("<% nvram_list("wl_maclist", 11); %>"),
					new Array("<% nvram_list("wl_maclist", 12); %>"),
					new Array("<% nvram_list("wl_maclist", 13); %>"),
					new Array("<% nvram_list("wl_maclist", 14); %>"),
					new Array("<% nvram_list("wl_maclist", 16); %>"),
					new Array("<% nvram_list("wl_maclist", 17); %>"),
					new Array("<% nvram_list("wl_maclist", 18); %>"),
					new Array("<% nvram_list("wl_maclist", 19); %>"),
					new Array("<% nvram_list("wl_maclist", 20); %>"),
					new Array("<% nvram_list("wl_maclist", 21); %>"),
					new Array("<% nvram_list("wl_maclist", 22); %>"),
					new Array("<% nvram_list("wl_maclist", 23); %>"),
					new Array("<% nvram_list("wl_maclist", 24); %>"),
					new Array("<% nvram_list("wl_maclist", 25); %>"),
					new Array("<% nvram_list("wl_maclist", 26); %>"),
					new Array("<% nvram_list("wl_maclist", 27); %>"),
					new Array("<% nvram_list("wl_maclist", 28); %>"),
					new Array("<% nvram_list("wl_maclist", 29); %>"),
					new Array("<% nvram_list("wl_maclist", 30); %>"),
					new Array("<% nvram_list("wl_maclist", 31); %>")
				);

	for (var row in aDeviceData)
	{
		/* if the first column's value is empty, don't use it */
		if (aDeviceData[row][0] == "")
			continue;

		objTableMAC.aRows.push(aDeviceData[row]);
	}

	tableDisplay(objTableMAC);
}


/* Add the new data to the table. */
function tableAddRowMAC()
{
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);

	if (!validateDataText(objTableMAC, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableMAC, aRowNew))
		tableAddRow(objTableMAC, aRowNew, 0);

	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}

/*
	Add all current clients' MAC addresses to the list
	of devices, unless, of course, they're already in the list.
*/
function onAllowCurrentClients()
{
	document.idForm.cbMACfilter[1].selected = true;
	setVisibility('idMACfilter', true);
	setVisibility('idCheckMAC', true);

	/*
		This array is populated with the wireless clients when the page renders.
		Now we can add the entries to the table (if they're not already there).
	*/	
	var aDeviceData = new Array(<% wl_clients(); %>);

	for (var row in aDeviceData)
	{
		/* if the first column's value is empty, don't use it */
		if (aDeviceData[row] == "")
			continue;

		// if this MAC address isn't already in the table, add it
		if (!tableIsDuplicateRow(objTableMAC, aDeviceData[row]))
			objTableMAC.aRows.push(new Array(aDeviceData[row]));
	}

	tableDisplay(objTableMAC);
}

//-->
</script>
</div>

</div>
<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!validateUsername(document.idForm.http_username.value)) return false; if (!validatePassword(document.idForm.http_passwd.value)) return false; bDirty = false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>

